LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
LinkBack Search this Thread
Old 09-18-2002, 06:15 PM   #1
gunz
LQ Newbie
 
Registered: Aug 2002
Posts: 8

Rep: Reputation: 0
error: failed dependencies:


hi,
I'm trying to install a rpm and it gives me this error-

error: failed dependencies:
libnewt.so.0.30 is needed by sndconfig-0.27-3
libslang.so.0 is needed by sndconfig-0.27-3


could someone please help me..i'm totally new to linux

thanks
 
Old 09-18-2002, 06:36 PM   #2
gway
LQ Newbie
 
Registered: Sep 2002
Distribution: Slackware
Posts: 24

Rep: Reputation: 15
Hi,
This error message means you need both files to install the rpm you want to install. I recommend you do this: go to www.rpmfind.net and look for

libnewt.so
libslang.so

You will get a list of rpms that have those files (maybe two rpms, one for each file).
You may also get a lot of possible rpms there containing those files. Pick the one that seems the best fit for your distro. Also check that, as linux runs also on other computers ("architectures") besides pcs (pcs are identified as "ix86" , where x is a numbre from 3 to 6) get an rpm with ix86 somewhere in its name. If you get the wrong one, it will simply refuse to be installed, so dont worry, you cant break anything.
Examples of other architectures are PPC and sparc.
Hope it helps,
-- Gway
 
Old 09-18-2002, 06:48 PM   #3
Thymox
Senior Member
 
Registered: Apr 2001
Location: Cornwall, England.
Distribution: Debian + Ubuntu
Posts: 4,345

Rep: Reputation: 56
What distro are you using? Most RPM based distros will have sndconfig on their install CDs, and will also have the dependancies there too. If you're using Mandrake, then try installing stuff with rpmdrake.
 
Old 09-18-2002, 09:18 PM   #4
gunz
LQ Newbie
 
Registered: Aug 2002
Posts: 8

Original Poster
Rep: Reputation: 0
this is actually a SME server that uses RedHat 7.0 in it..they have kinda tailored it..it doesn't actually come with a lot of other RedHat Stuff..Thank you anyway
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Error: Failed dependencies r0ck Linux - Software 3 05-09-2005 03:24 PM
error: Failed dependencies: Greenman Linux - Newbie 3 09-29-2004 06:23 AM
I recieve a failed dependencies error, but I have all required dependencies Laptop2250 Linux - Software 15 02-03-2004 07:58 PM
error : failed dependencies: karunesh Linux - General 1 02-05-2002 05:24 AM
error: failed dependencies punt Linux - General 8 07-23-2001 01:18 AM


All times are GMT -5. The time now is 02:52 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration